Ipod Touch Requirements

Discussion in 'iPod touch' started by jason42892, Sep 22, 2009.

  1. jason42892 macrumors newbie

    Joined:
    Sep 22, 2009
    #1
    Does the 3rd Generation Ipod Touch require Itunes 9?
     
  2. Night Spring macrumors G5

    Night Spring

    Joined:
    Jul 17, 2008
    #2
    Yes. When you connect it to a computer with iTunes 8.x, you get a message saying something like "iTunes 9 needed to use this device."
     
  3. jason42892 thread starter macrumors newbie

    Joined:
    Sep 22, 2009

Share This Page